package com.weaver.seconddev.interfaces.oames;

import java.rmi.RemoteException;
import java.lang.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import com.weaver.verupgrade.general.BaseBean;

/**
 * HTGD-JS05-新材料调试报告
 */
public class CallMesNewMaterialTSBGSerivce extends BaseBean {

	private static final org.slf4j.Logger logger_9c008166 = LoggerFactory.getLogger(CallMesNewMaterialTSBGSerivce.class);

	private OA_KSJXCL_SERVICEStub.OA_XCLSTBG resultin = null;

	public void setOainput(OA_KSJXCL_SERVICEStub.OA_XCLSTBG oames) {
		this.resultin = oames;
	}

	public String[] call() throws RemoteException {
		logger_9c008166.error(String.valueOf("调用接口------------------------开始"));
		OA_KSJXCL_SERVICEStub stub = null;
		String wsdlLocation = "http://10.7.6.67:7280/OA_KSJXCL_SERVICE.svc?wsdl";
		stub = new OA_KSJXCL_SERVICEStub(wsdlLocation);
		stub._getServiceClient().getOptions().setProperty("__CHUNKED__", Boolean.FALSE);
		OA_KSJXCL_SERVICEStub.OA_XCLSTBGResponse response = stub.oA_XCLSTBG(resultin);
		OA_KSJXCL_SERVICEStub.ArrayOfOA_KSJXCL_RETURN_TYPE response_result = response.getOA_XCLSTBGResult();
		OA_KSJXCL_SERVICEStub.OA_KSJXCL_RETURN_TYPE[] results = response_result.getOA_KSJXCL_RETURN_TYPE();
		logger_9c008166.error(String.valueOf("调用接口------------------------完成"));
		OA_KSJXCL_SERVICEStub.OA_KSJXCL_RETURN_TYPE result = results[0];
		// 封装返回
		String[] rtInfo = new String[3];
		rtInfo[0] = result.getVBELN();
		rtInfo[1] = result.getISTAT();
		rtInfo[2] = result.getMESSAGE();
		return rtInfo;
	}
}
